share facebook facebook twitter menu hatena pocket slack

2012.01.10 TUE

s3cmd 1.0.1をインストール

現在、yumでs3cmdコマンドをインストールした場合、バージョン0.9.9.91がインストールされます。

しかし、CentOS6でバージョン0.9.9.91を利用すると、下記のWarningが出ます。

/usr/lib/python2.6/site-packages/S3/Utils.py:17: DeprecationWarning: the sha module is deprecated; use the hashlib module instead

このWarningは、バージョン1.0.1をインストールすることで回避することができます。

s3cmdのバージョン1.0.1は、下記からダウンロードできます。

S3 tools – Browse /s3cmd at SourceForge.net

インストールは解凍後、下記のコマンドにて行います。

python setup.py install

Warningが気になる場合は、インストールをしてみてみると良いと思います。

こちらの記事はなかの人(be_hase)監修のもと掲載しています。
元記事は、こちら

長谷部 隆之

長谷部 隆之

別名cimacoppi。日々サーバ運用保守を行ってます!

cloudpack

cloudpackは、Amazon EC2やAmazon S3をはじめとするAWSの各種プロダクトを利用する際の、導入・設計から運用保守を含んだフルマネージドのサービスを提供し、バックアップや24時間365日の監視/障害対応、技術的な問い合わせに対するサポートなどを行っております。
AWS上のインフラ構築およびAWSを活用したシステム開発など、案件のご相談はcloudpack.jpよりご連絡ください。